from datetime import datetime
from .core import IAutoParam, BenchParam, BenchParamType


class MeasurementTime(IAutoParam):

    def __init__(self):
        bench_param = BenchParam('measurement_time', BenchParam.Type.PARAM_TYPE_TIME, 'the time (and date) at which this measurment has been made')
        super().__init__(bench_param)

    def get_value(self) -> BenchParamType:
        return datetime.now()

